## Index

### Functions

- enumFromDb
- enumToDb

### Object literals

- EnumMapper

## Functions

### enumFromDb

- enumFromDb(attributeValue: NumberAttribute, propertyMetadata?: PropertyMetadata<any, NumberAttribute>): string | number

- - Defined in mapper/for-type/enum.mapper.ts:16

  #### Parameters

  - ##### attributeValue: NumberAttribute

  - ##### Optional propertyMetadata: PropertyMetadata<any, NumberAttribute>

  #### Returns string | number

### enumToDb

- enumToDb(value: string | number, propertyMetadata?: PropertyMetadata<any, NumberAttribute>): NumberAttribute

- - Defined in mapper/for-type/enum.mapper.ts:5

  #### Parameters

  - ##### value: string | number

  - ##### Optional propertyMetadata: PropertyMetadata<any, NumberAttribute>

  #### Returns NumberAttribute

## Object literals

### Const EnumMapper

EnumMapper: object

- Defined in mapper/for-type/enum.mapper.ts:37

Enums are mapped to numbers by default

### fromDb

fromDb: enumFromDb = enumFromDb

- Defined in mapper/for-type/enum.mapper.ts:38

### toDb

toDb: enumToDb = enumToDb

- Defined in mapper/for-type/enum.mapper.ts:39

Generated using TypeDoc